## org.eclipse.datatools.modelbase.sql.query
Interface QueryExpressionRoot

All Superinterfaces:
  QueryExpression, SQLObject, SQLQueryObject

All Known Implementing Classes:
  QueryExpressionRootImpl

public interface QueryExpressionRoot
extends SQLQueryObject, QueryExpression

A representation of the model object 'Expression'.

The following features are supported:

- `Insert Statement`
- `Select Statement`
- `With Clause`
- `Query`
- `In Value Row Select Right`
- `In Value Select Right`
- `Quantified Row Select Right`
- `Quantified Value Select Right`
- `Value Expr Scalar Selects`

See Also:
  `SQLQueryModelPackage.getQueryExpressionRoot()`

Method Summary
`QueryInsertStatement` `getInsertStatement()` Returns the value of the 'Insert Statement' container reference.
`PredicateInValueRowSelect` `getInValueRowSelectRight()` Returns the value of the 'In Value Row Select Right' container reference.
`PredicateInValueSelect` `getInValueSelectRight()` Returns the value of the 'In Value Select Right' container reference.
`PredicateQuantifiedRowSelect` `getQuantifiedRowSelectRight()` Returns the value of the 'Quantified Row Select Right' container reference.
`PredicateQuantifiedValueSelect` `getQuantifiedValueSelectRight()` Returns the value of the 'Quantified Value Select Right' container reference.
`QueryExpressionBody` `getQuery()` Returns the value of the 'Query' containment reference.
`QuerySelectStatement` `getSelectStatement()` Returns the value of the 'Select Statement' container reference.
`EList` `getValueExprScalarSelects()` Returns the value of the 'Value Expr Scalar Selects' reference list.
`EList` `getWithClause()` Returns the value of the 'With Clause' containment reference list.
`void` `setInsertStatement(QueryInsertStatement value)` Sets the value of the '`Insert Statement`' container reference.
`void` `setInValueRowSelectRight(PredicateInValueRowSelect value)` Sets the value of the '`In Value Row Select Right`' container reference.
`void` `setInValueSelectRight(PredicateInValueSelect value)` Sets the value of the '`In Value Select Right`' container reference.
`void` `setQuantifiedRowSelectRight(PredicateQuantifiedRowSelect value)` Sets the value of the '`Quantified Row Select Right`' container reference.
`void` `setQuantifiedValueSelectRight(PredicateQuantifiedValueSelect value)` Sets the value of the '`Quantified Value Select Right`' container reference.
`void` `setQuery(QueryExpressionBody value)` Sets the value of the '`Query`' containment reference.
`void` `setSelectStatement(QuerySelectStatement value)` Sets the value of the '`Select Statement`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.QueryExpression
`getSQL, setSQL`

Method Detail

### getInsertStatement

    public QueryInsertStatement getInsertStatement()

  Returns the value of the 'Insert Statement' container reference. It is bidirectional and its opposite is '`Source Query`'.

  If the meaning of the 'Insert Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Insert Statement' container reference.
  See Also:
    `setInsertStatement(QueryInsertStatement)`, `SQLQueryModelPackage.getQueryExpressionRoot_InsertStatement()`, `QueryInsertStatement.getSourceQuery()`

### setInsertStatement

    public void setInsertStatement(QueryInsertStatement value)

  Sets the value of the '`Insert Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Insert Statement' container reference.
  See Also:
    `getInsertStatement()`

### getSelectStatement

    public QuerySelectStatement getSelectStatement()

  Returns the value of the 'Select Statement' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'Select Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Select Statement' container reference.
  See Also:
    `setSelectStatement(QuerySelectStatement)`, `SQLQueryModelPackage.getQueryExpressionRoot_SelectStatement()`, `QuerySelectStatement.getQueryExpr()`

### setSelectStatement

    public void setSelectStatement(QuerySelectStatement value)

  Sets the value of the '`Select Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Select Statement' container reference.
  See Also:
    `getSelectStatement()`

### getWithClause

    public EList getWithClause()

  Returns the value of the 'With Clause' containment reference list. The list contents are of type `WithTableSpecification`. It is bidirectional and its opposite is '`Query Expression Root`'.

  If the meaning of the 'With Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQueryExpressionRoot_WithClause()`, `WithTableSpecification.getQueryExpressionRoot()`

### getQuery

    public QueryExpressionBody getQuery()

  Returns the value of the 'Query' containment reference. It is bidirectional and its opposite is '`Query Expression`'.

  If the meaning of the 'Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query' containment reference.
  See Also:
    `setQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getQueryExpressionRoot_Query()`, `QueryExpressionBody.getQueryExpression()`

### setQuery

    public void setQuery(QueryExpressionBody value)

  Sets the value of the '`Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Query' containment reference.
  See Also:
    `getQuery()`

### getInValueRowSelectRight

    public PredicateInValueRowSelect getInValueRowSelectRight()

  Returns the value of the 'In Value Row Select Right' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'In Value Row Select Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Value Row Select Right' container reference.
  See Also:
    `setInValueRowSelectRight(PredicateInValueRowSelect)`, `SQLQueryModelPackage.getQueryExpressionRoot_InValueRowSelectRight()`, `PredicateInValueRowSelect.getQueryExpr()`

### setInValueRowSelectRight

    public void setInValueRowSelectRight(PredicateInValueRowSelect value)

  Sets the value of the '`In Value Row Select Right`' container reference.

  Parameters:
    `value` - the new value of the 'In Value Row Select Right' container reference.
  See Also:
    `getInValueRowSelectRight()`

### getInValueSelectRight

    public PredicateInValueSelect getInValueSelectRight()

  Returns the value of the 'In Value Select Right' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'In Value Select Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Value Select Right' container reference.
  See Also:
    `setInValueSelectRight(PredicateInValueSelect)`, `SQLQueryModelPackage.getQueryExpressionRoot_InValueSelectRight()`, `PredicateInValueSelect.getQueryExpr()`

### setInValueSelectRight

    public void setInValueSelectRight(PredicateInValueSelect value)

  Sets the value of the '`In Value Select Right`' container reference.

  Parameters:
    `value` - the new value of the 'In Value Select Right' container reference.
  See Also:
    `getInValueSelectRight()`

### getQuantifiedRowSelectRight

    public PredicateQuantifiedRowSelect getQuantifiedRowSelectRight()

  Returns the value of the 'Quantified Row Select Right' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'Quantified Row Select Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quantified Row Select Right' container reference.
  See Also:
    `setQuantifiedRowSelectRight(PredicateQuantifiedRowSelect)`, `SQLQueryModelPackage.getQueryExpressionRoot_QuantifiedRowSelectRight()`, `PredicateQuantifiedRowSelect.getQueryExpr()`

### setQuantifiedRowSelectRight

    public void setQuantifiedRowSelectRight(PredicateQuantifiedRowSelect value)

  Sets the value of the '`Quantified Row Select Right`' container reference.

  Parameters:
    `value` - the new value of the 'Quantified Row Select Right' container reference.
  See Also:
    `getQuantifiedRowSelectRight()`

### getQuantifiedValueSelectRight

    public PredicateQuantifiedValueSelect getQuantifiedValueSelectRight()

  Returns the value of the 'Quantified Value Select Right' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'Quantified Value Select Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quantified Value Select Right' container reference.
  See Also:
    `setQuantifiedValueSelectRight(PredicateQuantifiedValueSelect)`, `SQLQueryModelPackage.getQueryExpressionRoot_QuantifiedValueSelectRight()`, `PredicateQuantifiedValueSelect.getQueryExpr()`

### setQuantifiedValueSelectRight

    public void setQuantifiedValueSelectRight(PredicateQuantifiedValueSelect value)

  Sets the value of the '`Quantified Value Select Right`' container reference.

  Parameters:
    `value` - the new value of the 'Quantified Value Select Right' container reference.
  See Also:
    `getQuantifiedValueSelectRight()`

### getValueExprScalarSelects

    public EList getValueExprScalarSelects()

  Returns the value of the 'Value Expr Scalar Selects' reference list. The list contents are of type `ValueExpressionScalarSelect`. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'Value Expr Scalar Selects' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Scalar Selects' reference list.
  See Also:
    `SQLQueryModelPackage.getQueryExpressionRoot_ValueExprScalarSelects()`, `ValueExpressionScalarSelect.getQueryExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.